Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1163439 - need patches applied to 1.2.9 in order for it to work on ppc64le architecture
Summary: need patches applied to 1.2.9 in order for it to work on ppc64le architecture
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt
Version: 21
Hardware: powerpc
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F21FinalFreezeException F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-11-12 17:09 UTC by Michael Wolf
Modified: 2014-11-18 12:20 UTC (History)
12 users (show)

Fixed In Version: libvirt-1.2.9.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-18 12:20:27 UTC


Attachments (Terms of Use)

Description Michael Wolf 2014-11-12 17:09:10 UTC
Description of problem:
Need additional patches to libvirt for it to run correctly on the ppc64le 
architecture

Version-Release number of selected component (if applicable):
1.2.9

Additional info:
These are the upstream patches with commit id

12c3811 Test: Add a testcase for PowerPC compat mode cpu specification.
9265fd1 docs: Add documentation for compat mode.
1e91174 PowerPC:Improve PVR handling to fall back to cpu generation.
addce06 PowerPC : Add support for launching VM in 'compat' mode.
da636d8 Cpu: Add support for Power LE Architecture.

Comment 1 Peter Krempa 2014-11-12 17:15:48 UTC
(In reply to Michael Wolf from comment #0)

git describe of the mentioned patches:

> 12c3811 Test: Add a testcase for PowerPC compat mode cpu specification.
v1.2.10-43-g12c3811

> 9265fd1 docs: Add documentation for compat mode.
v1.2.10-42-g9265fd1

> 1e91174 PowerPC:Improve PVR handling to fall back to cpu generation.
v1.2.10-41-g1e91174

> addce06 PowerPC : Add support for launching VM in 'compat' mode.
v1.2.10-40-gaddce06

> da636d8 Cpu: Add support for Power LE Architecture.
v1.2.10-39-gda636d8

Comment 2 Fedora Update System 2014-11-16 01:23:21 UTC
libvirt-1.2.9.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libvirt-1.2.9.1-1.fc21

Comment 3 Fedora Blocker Bugs Application 2014-11-16 08:54:40 UTC
Proposed as a Freeze Exception for 21-final by Fedora user sharkcz using the blocker tracking app because:

 This update adds the necessary bits for using ppc64le as KVM host.

Comment 4 Fedora Update System 2014-11-16 14:41:47 UTC
Package libvirt-1.2.9.1-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-1.2.9.1-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15167/libvirt-1.2.9.1-1.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-11-18 12:20:27 UTC
libvirt-1.2.9.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.